### Method

# WebKit WebsiteDataManager get_base_data_directory

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_base_data_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:base-data-directory` property.

Available since: | 2.10

Gets property | `WebKit.WebsiteDataManager:base-data-directory`

#### Return value

Returns: | `const gchar*`
| The base directory for website data, or `NULL` if `WebKitWebsiteDataManager:base-data-directory` was not provided or `manager` is ephemeral.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.